Bug 1788788 (CVE-2020-0549) - CVE-2020-0549 hw: L1D Cache Eviction Sampling
Summary: CVE-2020-0549 hw: L1D Cache Eviction Sampling
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-0549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1795349 1795355 1795356 1795357 1848173 1848174 1848175 1848176
Blocks: 1790307
TreeView+ depends on / blocked
 
Reported: 2020-01-08 05:45 UTC by Wade Mealing
Modified: 2021-08-31 09:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A microarchitectural timing flaw was found on some Intel processors. A corner case exists where data in-flight during the eviction process can end up in the “fill buffers” and not properly cleared by the MDS mitigations. The fill buffer contents (which were expected to be blank) can be inferred using MDS or TAA style attack methods to allow a local attacker to infer fill buffer values.
Clone Of:
Environment:
Last Closed: 2020-06-09 23:20:29 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2431 0 None None None 2020-06-09 18:12:48 UTC
Red Hat Product Errata RHSA-2020:2432 0 None None None 2020-06-09 22:57:52 UTC
Red Hat Product Errata RHSA-2020:2433 0 None None None 2020-06-09 19:23:16 UTC
Red Hat Product Errata RHSA-2020:2677 0 None None None 2020-06-23 13:11:46 UTC
Red Hat Product Errata RHSA-2020:2679 0 None None None 2020-06-23 13:46:27 UTC
Red Hat Product Errata RHSA-2020:2680 0 None None None 2020-06-23 13:52:35 UTC
Red Hat Product Errata RHSA-2020:2706 0 None None None 2020-06-23 15:36:53 UTC
Red Hat Product Errata RHSA-2020:2707 0 None None None 2020-06-23 15:36:16 UTC
Red Hat Product Errata RHSA-2020:2757 0 None None None 2020-06-29 07:46:42 UTC
Red Hat Product Errata RHSA-2020:2758 0 None None None 2020-06-29 08:11:03 UTC
Red Hat Product Errata RHSA-2020:2771 0 None None None 2020-06-30 12:11:30 UTC
Red Hat Product Errata RHSA-2020:2842 0 None None None 2020-07-07 10:19:06 UTC
Red Hat Product Errata RHSA-2021:3027 0 None None None 2021-08-09 09:51:25 UTC
Red Hat Product Errata RHSA-2021:3028 0 None None None 2021-08-09 10:09:26 UTC
Red Hat Product Errata RHSA-2021:3029 0 None None None 2021-08-10 13:40:08 UTC
Red Hat Product Errata RHSA-2021:3176 0 None None None 2021-08-17 08:30:10 UTC
Red Hat Product Errata RHSA-2021:3255 0 None None None 2021-08-24 09:54:36 UTC
Red Hat Product Errata RHSA-2021:3317 0 None None None 2021-08-31 08:24:11 UTC
Red Hat Product Errata RHSA-2021:3322 0 None None None 2021-08-31 08:04:09 UTC
Red Hat Product Errata RHSA-2021:3323 0 None None None 2021-08-31 07:56:52 UTC
Red Hat Product Errata RHSA-2021:3364 0 None None None 2021-08-31 09:21:14 UTC

Description Wade Mealing 2020-01-08 05:45:44 UTC
A flaw was found during cache eviction on some Intel processors which may allow a local attacker to infer cache contents and disclose information through this side-channel.


Reference:
----------
  -> https://access.redhat.com/solutions/l1d-cache-eviction-and-vector-register-sampling

Additional information:
-----------------------
  -> https://en.wikipedia.org/wiki/Vector_processor
  -> https://software.intel.com/en-us/articles/introduction-to-intel-advanced-vector-extensions

Comment 2 Prasad J Pandit 2020-01-27 18:22:27 UTC
Created microcode_ctl tracking bugs for this issue:

Affects: fedora-all [bug 1795349]

Comment 9 errata-xmlrpc 2020-06-09 18:12:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2431 https://access.redhat.com/errata/RHSA-2020:2431

Comment 10 errata-xmlrpc 2020-06-09 19:23:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:2433 https://access.redhat.com/errata/RHSA-2020:2433

Comment 11 errata-xmlrpc 2020-06-09 22:57:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2432 https://access.redhat.com/errata/RHSA-2020:2432

Comment 12 Product Security DevOps Team 2020-06-09 23:20:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-0549

Comment 14 errata-xmlrpc 2020-06-23 13:11:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:2677 https://access.redhat.com/errata/RHSA-2020:2677

Comment 15 errata-xmlrpc 2020-06-23 13:46:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2020:2679 https://access.redhat.com/errata/RHSA-2020:2679

Comment 16 errata-xmlrpc 2020-06-23 13:52:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support
  Red Hat Enterprise Linux 7.3 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.3 Telco Extended Update Support

Via RHSA-2020:2680 https://access.redhat.com/errata/RHSA-2020:2680

Comment 17 errata-xmlrpc 2020-06-23 15:36:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2020:2707 https://access.redhat.com/errata/RHSA-2020:2707

Comment 18 errata-xmlrpc 2020-06-23 15:36:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Advanced Update Support

Via RHSA-2020:2706 https://access.redhat.com/errata/RHSA-2020:2706

Comment 19 errata-xmlrpc 2020-06-29 07:46:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:2757 https://access.redhat.com/errata/RHSA-2020:2757

Comment 20 errata-xmlrpc 2020-06-29 08:10:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:2758 https://access.redhat.com/errata/RHSA-2020:2758

Comment 21 errata-xmlrpc 2020-06-30 12:11:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2020:2771 https://access.redhat.com/errata/RHSA-2020:2771

Comment 22 errata-xmlrpc 2020-07-07 10:18:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:2842 https://access.redhat.com/errata/RHSA-2020:2842

Comment 23 errata-xmlrpc 2021-08-09 09:51:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3027 https://access.redhat.com/errata/RHSA-2021:3027

Comment 24 errata-xmlrpc 2021-08-09 10:09:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3028 https://access.redhat.com/errata/RHSA-2021:3028

Comment 26 errata-xmlrpc 2021-08-10 13:40:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2021:3029 https://access.redhat.com/errata/RHSA-2021:3029

Comment 27 errata-xmlrpc 2021-08-17 08:30:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3176 https://access.redhat.com/errata/RHSA-2021:3176

Comment 28 errata-xmlrpc 2021-08-24 09:54:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2021:3255 https://access.redhat.com/errata/RHSA-2021:3255

Comment 29 errata-xmlrpc 2021-08-31 07:56:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2021:3323 https://access.redhat.com/errata/RHSA-2021:3323

Comment 30 errata-xmlrpc 2021-08-31 08:04:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support

Via RHSA-2021:3322 https://access.redhat.com/errata/RHSA-2021:3322

Comment 31 errata-xmlrpc 2021-08-31 08:24:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Advanced Update Support
  Red Hat Enterprise Linux 7.6 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.6 Telco Extended Update Support

Via RHSA-2021:3317 https://access.redhat.com/errata/RHSA-2021:3317

Comment 32 errata-xmlrpc 2021-08-31 09:21:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3364 https://access.redhat.com/errata/RHSA-2021:3364


Note You need to log in before you can comment on or make changes to this bug.